using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using VetClinicContracts.BindingModels;
using VetClinicContracts.SearchModels;
using VetClinicContracts.ViewModels;

namespace VetClinicContracts.BusinessLogicsContracts
{
	public interface IVisitLogic
	{
		List<VisitViewModel>? ReadList(VisitSearchModel? model);
		VisitViewModel? ReadElement(VisitSearchModel model);
		bool Create(VisitBindingModel model);
		bool Update(VisitBindingModel model);
		bool Delete(VisitBindingModel model);
	}
}
